/* SDCal, version 01
 * Copyright (C) 2022 Arktis Desktop Project, GNU GPL v2 or any later.*/

#ifndef SDCal_H
#define SDCal_H 1

#include <unistd.h>

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

#define STRING_XL 1024
#define STRING_M 32
#define STRING_S 16

typedef struct options {
	int aa, ab, ar, cd, cl, dd, dl, dx, dy, ee, ei, fy, hh, hx, hy, ii, mp, mw;
	int pix, pm, ps, py, rx, ry, sh, ss, uu, xc, yc;
	char ac[STRING_S], as[STRING_S], bg_pix[STRING_M], ca[STRING_S]; 
	char cb[STRING_S], day_pix[STRING_M], fd[STRING_M], ff[STRING_M];
	char fh[STRING_M], fn[STRING_M], hc[STRING_S], hl[STRING_M], hs[STRING_S];
	char ic[STRING_S], is[STRING_S], mb[STRING_S], mc[STRING_S], rh[STRING_M];
	char sc[STRING_S], tc[STRING_S], ua[STRING_S], ub[STRING_S], wa[STRING_S];
	char wb[STRING_S];
} options;

extern options option;
void CreateWindow(int, char *[]);
void PaintCal(void);
void ShowCal();
#endif

